Subject: Re: [PATCH 02/23] powerpc/eeh: Function to tranverse PCI devices

From: Gavin Shan <[email-masked]>
Date: Mon, 3 Jun 2013 09:00:02 +0800

On Sat, Jun 01, 2013 at 02:13:03PM +1000, Benjamin Herrenschmidt wrote:
>On Thu, 2013-05-30 at 16:23 +0800, Gavin Shan wrote:
>> For EEH on PowerNV platform, the PCI devices will be probed to
>> check if they support EEH functionality. Different from the case
>> of EEH for pSeries platform, we will probe real PCI device instead
>> of device tree node for EEH capability on PowerNV platform.
>> 
>> The patch introduces function eeh_pci_dev_traverse() to traverse
>> PCI devices for the indicated PCI bus from top to bottom.
>
>This seems racy vs. hotplug etc... Any reason you can't use
>pci_walk_bus() from drivers/pci/bus.c ?
>

Thanks, Ben. I'll use pci_walk_bus() in next version.

Thanks,
Gavin